# $Header: https://svn.mpia.de/gulli/TwiceAsNice/branch/unstable/ln/ltcs/test/LbtoIIFSimulator/Makefile.am 14566 2017-08-15 09:27:29Z briegel $

include $(top_srcdir)/config/all.mk

AUTOMAKE_OTPIONS =
ACLOCAL_AMFLAGS = ${ACLOCAL_FLAGS}

AM_CXXFLAGS = $(BASDA_CXXFLAGS) $(IIF_CFLAGS) $(ICE_CXXFLAGS) \
	$(NICE_CXXFLAGS) \
	$(BOOST_CPPFLAGS) \
	$(QT4_CXXFLAGS) \
	$(PYTHON_INCLUDE_DIR)

lib_LTLIBRARIES = 

bin_PROGRAMS = LbtoIIFSimulator

dist_python_SCRIPTS = LbcsIIF.py


#########################

LbtoIIFSimulator_SOURCES = LbtoIIFSimulatorService.cc LbtoIIFSimulatorService.h\
                           LbtoIIFInterfaceFactoryI.cc  LbtoIIFInterfaceFactoryI.h \
                           LbtoIIFInterfaceI.cc  LbtoIIFInterfaceI.h \
                           LbtoIIFArbitrator.cc LbtoIIFArbitrator.h

LbtoIIFSimulator_LDADD  = \
	$(IIF_LIBS) \
	$(NICE_LIBS) \
	$(ICE_LIBS) \
	-lsofa_c

LbtoIIFSimulator_LDFLAGS =  \
	$(IIF_LDFLAGS) \
	$(NICE_LDFLAGS) \
	$(ICE_LDFLAGS)
LbtoIIFSimulator_CXXFLAGS = $(IIF_CXXFLAGS) \
	$(IIF_CXXFLAGS) \
	$(NICE_CXXFLAGS)

#LbtoIIFSimulator_DEPENDENCIES = ../Interface/libLbtoIIFIceInterface.la
